"""
ThermochemicalSystem Example 1
==============================

This example demonstrates the most basic steps involved in working with the
``friendly`` module's ``ThermochemicalSystem`` group of functions.
"""

from chemapp.friendly import (
    ThermochemicalSystem)


# load a thermochemical system from a data file
ThermochemicalSystem.load('../../data/cosi.dat')

# convert the thermochemical system to a core.ThermochemicalSystem object
ts = ThermochemicalSystem.get_object()

# print the core.ThermochemicalSystem object
print(ts)