"""
This script gives an example of how to get the mass fraction of a system
component in a phase constituent
"""

from chemapp.friendly import ThermochemicalSystem

# load a thermochemical system from a data file
ThermochemicalSystem.load('../../data/cosi.dat')

# get mass fraction of C in CO
y_c = ThermochemicalSystem.get_y_sc_pc('GAS', 'CO', 'C')

# print result
print(y_c)